import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

import '../main.dart';
import 'box_name.dart';
import 'colors.dart';

class AppStyle {
  static TextStyle headTitle = const TextStyle(
    fontWeight: FontWeight.bold,
    fontSize: 40,
    color: AppColor.accentColor,
  );
  static TextStyle headTitle2 = const TextStyle(
    fontWeight: FontWeight.bold,
    fontSize: 26,
    color: AppColor.primaryColor,
  );
  static TextStyle title = const TextStyle(
    fontWeight: FontWeight.bold,
    fontSize: 16,
    color: AppColor.primaryColor,
  );
  static TextStyle subtitle = const TextStyle(
    fontWeight: FontWeight.bold,
    fontSize: 13,
    color: AppColor.primaryColor,
  );
  static TextStyle number = const TextStyle(
    fontWeight: FontWeight.bold,
    fontSize: 14,
    color: AppColor.primaryColor,
  );

  static BoxDecoration boxDecoration = const BoxDecoration(
      borderRadius: BorderRadius.all(Radius.circular(12)),
      color: AppColor.secondaryColor,
      boxShadow: [
        BoxShadow(
            color: AppColor.accentColor,
            offset: Offset(-3, -3),
            blurRadius: 0,
            spreadRadius: 0,
            blurStyle: BlurStyle.outer),
        BoxShadow(
            color: AppColor.accentColor,
            offset: Offset(3, 3),
            blurRadius: 0,
            spreadRadius: 0,
            blurStyle: BlurStyle.outer)
      ]);
  static BoxDecoration boxDecoration1 = const BoxDecoration(
    boxShadow: [
      BoxShadow(
          color: AppColor.accentColor, blurRadius: 5, offset: Offset(2, 4)),
      BoxShadow(
          color: AppColor.accentColor, blurRadius: 5, offset: Offset(-2, -2))
    ],
    color: AppColor.secondaryColor,
    borderRadius: BorderRadius.all(
      Radius.elliptical(15, 30),
    ),
  );
}
